%define rpa_server_user rpad

Summary: Remote Place Assigner
Name: rpa
Version: 0.1.6
Release: 1
URL: https://git.tilab.tuwien.ac.at/sw/rpa
Source0: %{name}-%{version}.tar.xz
License: GPL

Requires: python

%description
RPA is a remote place assigner.

%package host-agent
Summary: Remote Place Assigner - Host Agent
Requires: bash
Requires: sshd-user-filter-helper
Requires: motion

%description host-agent
RPA agent to be present on target hosts.

%package server
Summary: Remote Place Assigner - Server
#BuildRequires: ocaml
#BuildRequires: ocaml-dune
#BuildRequires: ocaml-lwt_ppx-devel
#BuildRequires: ocaml-batteries-devel
#BuildRequires: ocaml-extunix-devel
%description server
RPA server part

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p \
      %{buildroot}/{%{_sharedstatedir}/%{name},%{_bindir},%{_libexecdir}}
cp bin/* %{buildroot}/%{_bindir}/.
cp libexec/* %{buildroot}/%{_libexecdir}/.

%clean
rm -rf %{buildroot}

%pre server
# add our user if it does not exist
getent passwd %{rpa_server_user} >/dev/null || {
    useradd --system --create-home \
        --home-dir /home/%{rpa_server_user} \
        --comment "Remote Place Assigner Daemon" \
        %{rpa_server_user}
}

%postun server
if [[ "$1" == 0 ]]
then # uninstall
    # remove our user
    userdel --remove "%{rpa_server_user}" >/dev/null 2>&1 || \
        echo "warning: failed to remove user %{rpa_server_user}" >&2
fi


%files
%defattr(-,root,root)
%doc doc/*
%attr(0755,-,-) %{_bindir}/*
%attr(0755,-,-) %{_libexecdir}/rpa-host-agent

%files host-agent
%defattr(-,root,root)
%doc doc/LICENSE
%attr(0755,-,-) %{_libexecdir}/rpa-host-agent

%files server
%dir %attr(0711, %{rpa_server_user}, root) %{_sharedstatedir}/%{name}
